# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global parent plexus
%global subname maven-plugin

%define section free

Name:           %{parent}-%{subname}
Version:        1.3.8
Release:        1%{?dist}
Epoch:          0
Summary:        Plexus Maven plugin
License:        ASL 2.0
Group:          Development/Java
URL:            http://plexus.codehaus.org/
# svn export http://svn.codehaus.org/plexus/archive/plexus-maven-plugin/tags/plexus-maven-plugin-1.3.8 && tar cjf plexus-maven-plugin-1.3.8.tar.bz2 plexus-maven-plugin-1.3.8
Source0:        plexus-maven-plugin-1.3.8.tar.bz2
Source1:        %{name}-jpp-depmap.xml
Patch0:         %{name}-maven-doxia.patch
Patch1:         %{name}-add-jdom-dep.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       jdom >= 0:1.0
Requires:       maven2 >= 2.0.8
# 1.0-alpha-13
Requires:       plexus-cdc >= 0:1.0
Requires:       slf4j >= 0:1.4.3
BuildRequires:  jdom >= 0:1.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  maven2 >= 2.0.8
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:	maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven2-common-poms
BuildRequires:  plexus-appserver
BuildRequires:  plexus-cdc >= 0:1.0
BuildRequires:  plexus-containers
BuildRequires:  plexus-containers-container-default
BuildRequires:  plexus-runtime-builder
BuildRequires:  commons-parent
BuildRequires:  qdox
BuildRequires:  slf4j >= 0:1.4.3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Plexus Maven Plugin helps create plexus component descriptions
from within Maven.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
%{_bindir}/mvn-jpp -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Dmaven2.jpp.depmap.file=%{SOURCE1} install javadoc:aggregate

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p target/plexus-maven-plugin-%{version}.jar %{buildroot}%{_javadir}/%{name}/plexus-maven-plugin-%{version}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do ln -s ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
mkdir -p %{buildroot}%{_datadir}/maven2/poms
cp -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-plexus-maven-plugin.pom
%add_to_maven_depmap org.codehaus.plexus plexus-maven-plugin %{version} JPP/%{name} plexus-maven-plugin

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/plexus-maven-plugin-%{version}.jar
%{_javadir}/%{name}/plexus-maven-plugin.jar
%{_datadir}/maven2/poms/JPP.%{name}-plexus-maven-plugin.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Wed Jun 29 2011 David Walluck <dwalluck@redhat.com> 0:1.3.8-1
- 1.3.8 (JPP-5 apparently at 1.3.6)

* Wed Jun 29 2011 David Walluck <dwalluck@redhat.com> 0:1.3.5-8
- rebuild with latest qdox

* Fri Dec 03 2010 Ralph Apel <r.apel@r-apel.de> 0:1.3.5-7
- fix to plexus-cdc, plexus-maven-plugin sequence

* Wed Apr 29 2009 Yong Yang <yyang@redhat.com> 0:1.3.5-6
- add BRs maven-doxia*, qdox
- rebuild with maven2-2.0.8 built in non-bootstrap mode

* Tue Mar 17 2009 Yong Yang <yyang@redhat.com> 0:1.3.5-5
- revert to 1.3.5 for building maven2-2.0.8

* Tue Mar 17 2009 Yong Yang <yyang@redhat.com> 0:1.3.5-4
- rebuild with new maven2 2.0.8 built in bootstrap mode

* Wed Feb 04 2009 Yong Yang <yyang@redhat.com> 0:1.3.5-3
- rebuild with bootstrap JPP5 mode

* Tue Jan 13 2009 Yong Yang <yyang@redhat.com> 0:1.3.5-2jpp.1
- Import from dbhole's maven 2.0.8 packages, initial building

* Mon Feb 25 2008 Deepak Bhole <dbhole@redhat.com> 0:1.3.5-1jpp.1
- From <r.apel at r-apel.de>:
- Update to 1.3.5

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.2-3jpp.2
- Autorebuild for GCC 4.3

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.2-2jpp.2
- ExcludeArch ppc64

* Fri Feb 23 2007 Tania Bento <tbento@redhat.com> 0:1.2-2jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun sections for javadoc.
- Fixed %%License to correct license.
- Edited instructions on how to generate source drop.
- Edited %%description.
- Added gcj support option.

* Tue Oct 17 2006 Deepak Bhole <dbhole@redhat.com> 1.2-2jpp
- Update for maven2 9jpp.

* Mon Jun 12 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.2-1jpp
- Initial build
